#ifndef ENGINE_MEMORY_H
#define ENGINE_MEMORY_H
#include <stdint.h>

#define CC_NO_SHORT_NAMES
#include "cc.h"

typedef struct memoryPool {
    //struct idxSet* free_set;
    cc_oset( uint32_t ) free_set;
} memoryPool;

void init_memory_system(void);
void free_memory_system(void);


extern struct memoryImpl {
    memoryPool* comp_mempools;
    uint32_t n_components;
} mem_impl;

#endif // ENGINE_MEMORY_H
