#include <stdio.h>
#include "base.h"
#include <assert.h>

int main(void) {
    assert(mem_arena_init(4));
    mem_arena_print();

    cc_map( int, int ) int_map;
    cc_init(&int_map);
    cc_reserve(&int_map, 2048);

    cc_insert(&int_map, 1, 4);
    cc_insert(&int_map, 2, 7);
    cc_insert(&int_map, 7, 1);
    cc_insert(&int_map, 4, 8);

    mem_arena_print();

    cc_cleanup(&int_map);

    mem_arena_print();

    mem_arena_deinit();
    return 0;
}

